%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		nfoview
Version:	1.20
Release:	%mkrel 1
Summary:	Simple viewer for NFO files
License:	GPLv3+
Group:		File tools
URL:		http://otsaloma.io/nfoview/
Source0:	https://github.com/otsaloma/nfoview/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	intltool
Requires:	python3-gobject3
Recommends:	terminus-font

%description
NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
the CP437 codepage. The advantages of using NFO Viewer instead of a
text editor are preset font and encoding settings, automatic window
size and clickable hyperlinks.

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS.md NEWS.md README.md TODO.md
%{_bindir}/nfoview
%{python3_sitelib}/nfoview*
%{_datadir}/applications/nfoview.desktop
%{_mandir}/man1/nfoview.1*
%{_datadir}/nfoview
%{_datadir}/icons/hicolor/*/apps/nfoview.*
%{_datadir}/appdata/nfoview.appdata.xml


%changelog
* Sat Oct 08 2016 wally <wally> 1.20-1.mga6
+ Revision: 1059509
- new version 1.20
- update URL

* Tue Jan 26 2016 wally <wally> 1.18-1.mga6
+ Revision: 927929
- new version 1.18

* Fri Oct 16 2015 wally <wally> 1.17-1.mga6
+ Revision: 892056
- new version 1.17

* Thu Oct 08 2015 wally <wally> 1.16-2.mga6
+ Revision: 887642
- rebuild for python 3.5

* Sat Jun 20 2015 wally <wally> 1.16-1.mga6
+ Revision: 836653
- new version 1.16

* Wed Oct 15 2014 umeabot <umeabot> 1.15-2.mga5
+ Revision: 750410
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 wally <wally> 1.15-1.mga5
+ Revision: 737097
- new version 1.15
- drop unneeded girepository-devel BR
- add patch to explicitly require gtk3 typelib

* Sat Sep 27 2014 tv <tv> 1.14-3.mga5
+ Revision: 727476
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.14-2.mga5
+ Revision: 682878
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sun Jun 22 2014 wally <wally> 1.14-1.mga5
+ Revision: 638621
- new version 1.14

* Sat May 31 2014 pterjan <pterjan> 1.13.1-5.mga5
+ Revision: 629694
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.13.1-4.mga5
+ Revision: 629538
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.13.1-3.mga4
+ Revision: 542898
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.13.1-2.mga4
+ Revision: 497960
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 25 2013 wally <wally> 1.13.1-1.mga4
+ Revision: 486259
- new version 1.13.1

* Mon Jul 29 2013 wally <wally> 1.13-1.mga4
+ Revision: 460516
- new version 1.13

* Thu May 23 2013 wally <wally> 1.12.1-1.mga4
+ Revision: 425167
- new version 1.12.1

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 wally <wally> 1.11-1.mga3
+ Revision: 315379
- new version 1.11
- switch to python3
- clean .spec a bit

* Wed Jun 08 2011 wally <wally> 1.9.5-1.mga2
+ Revision: 101925
- new version 1.9.5

* Tue Apr 05 2011 wally <wally> 1.9.4-1.mga1
+ Revision: 80856
- new version 1.9.4

* Sun Mar 27 2011 wally <wally> 1.9.3-1.mga1
+ Revision: 77989
- new version 1.9.3

* Sun Jan 23 2011 wally <wally> 1.9.2-3.mga1
+ Revision: 34644
- drop buildroot definition from .spec
- drop old post and postun requires
- imported package nfoview

